PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_copytupledesc

## Name

SPI_copytupledesc -- make a copy of a row descriptor in the upper executor context

## Synopsis

    TupleDesc SPI_copytupledesc(TupleDesc tupdesc)

## Description

`SPI_copytupledesc` makes a copy of a row descriptor in the upper executor context.

## Arguments

TupleDesc tupdesc

  row descriptor to be copied

## Return Value

the copied row descriptor; `NULL` only if tupdesc is `NULL`

Prev | Home | Next
SPI_copytuple | Up | SPI_copytupleintoslot